Authorization
Descope Project ID Project ID as bearer token.
In: header
Get the configured password policy for the project.
See Also
- See Password Policy Customization for further details on password policy configuration.
curl -X GET "https://api.descope.com/v1/auth/password/policy"{ "minLength": 0, "lowercase": true, "uppercase": true, "number": true, "nonAlphanumeric": true, "strengthScoreEnabled": true, "strengthScore": 0}export interface Response {minLength?: numberlowercase?: booleanuppercase?: booleannumber?: booleannonAlphanumeric?: booleanstrengthScoreEnabled?: booleanstrengthScore?: number}Update Password POST
### Update the user's password of an existing user utilizing the password API. ### Next Steps Sign the user in with their new password via [Sign-In](/api/passwords/sign-in) ### See Also - See [The User Object](/api/overview#the-user-object) for further details on how to identify users and their contact information such as email addresses and phone number. - You can also utilize [Replace Password](/api/passwords/replace-password) or [Reset Password](/api/passwords/email/password-reset) as alternatives to change a user's password.
Reset Password POST
### Sent a password reset email to an existing user utilizing the password API. ### Next Steps You will then need to verify the user after the password reset is sent via email, this would need to be done via [Verify Magic Link](/api/magic-link/verification/verify-token). ### See Also - See [The User Object](/api/overview#the-user-object) for further details on how to identify users and their contact information such as email addresses and phone number. - You can also utilize [Update Password](/api/passwords/update-password) or [Replace Password](/api/passwords/replace-password) as alternatives to change a user's password.